Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

Get Single Sends Search


Twilio calls a one-time, non-automated email message delivered to a list or segment of your audience a Single Send. You can send such messages immediately or scheduled for future delivery. Single Sends can deliver promotional offers, engagement campaigns, newsletters, announcements, legal notices, or policy updates. The Single Sends API lets you create, retrieve, update, delete, schedule, and search for Single Sends. Another API endpoint provides campaign statistics. The SendGrid Knowledge Center explains the latest updates to the Single Sends API.


Operation overview

operation-overview page anchor

POST/v3/marketing/singlesends/search

Base url: https://api.sendgrid.com (The Twilio SendGrid v3 API)

This endpoint allows you to search for Single Sends based on specified criteria.

You can search for Single Sends by passing a combination of values using the name, status, and categories request body fields.

For example, if you want to search for all Single Sends that are "drafts" or "scheduled" and also associated with the category "shoes," your request body may look like the example below.

1
{
2
"status": [
3
"draft",
4
"scheduled"
5
],
6
"categories": [
7
"shoes"
8
],
9
}

Authentication

authentication page anchor
Property nameTypeRequiredDescription
Authorizationstring
required
Default: Bearer <<YOUR_API_KEY_HERE>>
Property nameTypeRequiredDescription
page_sizeinteger

Optional


page_tokenstring

Optional

Encoding type:application/json
Schema
Property nameTypeRequiredDescriptionChild properties
namestring

Optional

leading and trailing wildcard search on name of the Single Send

Min length: 1Max length: 100

statusarray[enum<string>]
unique

Optional

current status of the Single Send

Possible values:
draftscheduledtriggered

categoriesarray[string]
unique

Optional

categories to associate with this Single Send, match any single send that has at least one of the categories

200404
SchemaExample
Property nameTypeRequiredDescriptionChild properties
resultarray[singlesend_response_short]

Optional


_metadata_metadata

Optional

Get Single Sends SearchLink to code sample: Get Single Sends Search
1
const client = require("@sendgrid/client");
2
client.setApiKey(process.env.SENDGRID_API_KEY);
3
4
const request = {
5
url: `/v3/marketing/singlesends/search`,
6
method: "POST",
7
};
8
9
client
10
.request(request)
11
.then(([response, body]) => {
12
console.log(response.statusCode);
13
console.log(response.body);
14
})
15
.catch((error) => {
16
console.error(error);
17
});